Package org.drinkless.tdlib

# Class TdApi.ProxyTypeSocks5

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ProxyType
org.drinkless.tdlib.TdApi.ProxyTypeSocks5

Enclosing class:
  TdApi

public static class TdApi.ProxyTypeSocks5 extends TdApi.ProxyType
A SOCKS5 proxy server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ProxyType

  `TdApi.ProxyType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `password`
  Password for logging in; may be empty.
  `String`
  `username`
  Username for logging in; may be empty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyTypeSocks5()`
  A SOCKS5 proxy server.
  `ProxyTypeSocks5(String username, String password)`
  A SOCKS5 proxy server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### username

    public String username
    Username for logging in; may be empty.

  - ### password

    public String password
    Password for logging in; may be empty.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProxyTypeSocks5

    public ProxyTypeSocks5()
    A SOCKS5 proxy server.

  - ### ProxyTypeSocks5

    public ProxyTypeSocks5(String username, String password)
    A SOCKS5 proxy server.
    Parameters:
      `username` - Username for logging in; may be empty.
      `password` - Password for logging in; may be empty.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ProxyType`
    Returns:
      this.CONSTRUCTOR